Dash0 acquires Polar Signals

Prometheus API

Evaluates a PromQL expression over a range of time

post/api/prometheus/api/v1/query_range
bash
Sample request
1234567
curl --request POST 'https://api.eu-west-1.aws.dash0.com/api/prometheus/api/v1/query_range' \
--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}" \
--header 'Content-Type: application/json' \
--data-raw '{
"query": "up",
"step": "1m"
}'

Request body required

stringrequired
string
string
stringrequired
string
integer
Dataset

Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.

Responses

Evaluated range query. The result is always a matrix.

stringrequired
string[]
string[]

Info-level annotations produced while evaluating the query (Prometheus 3.0+), kept separate from warnings.